> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an object configuration status

> Updates the enabled or disabled status of the object configuration identified by the type and identifier path parameters, using the disabled flag in the request body. Returns the updated configuration.



## OpenAPI

````yaml /schema.json put /di/configurations/{type}/{identifier}/status
openapi: 3.1.0
info:
  version: 01KV4EC0SHV95TK2YR66AMKFZC
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /di/configurations/{type}/{identifier}/status:
    put:
      tags:
        - Di
      summary: Update an object configuration status
      description: >-
        Updates the enabled or disabled status of the object configuration
        identified by the type and identifier path parameters, using the
        disabled flag in the request body. Returns the updated configuration.
      operationId: updateObjectConfigurationStatus
      parameters:
        - name: type
          in: path
          description: Type identifier
          required: true
          schema:
            type: string
        - name: identifier
          in: path
          description: Configuration identifier
          required: true
          schema:
            type: string
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DiObjectConfigurationStatus'
      responses:
        '200':
          description: Deleted an object configuration
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DiObjectConfigurationResult'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DiObjectConfigurationStatus:
      type: object
      properties:
        disabled:
          type: boolean
          title: Status
          description: Whether the configuration is disabled
          ui:
            ui:widget: disable
      required:
        - disabled
    DiObjectConfigurationResult:
      type: object
      properties:
        object:
          $ref: '#/components/schemas/DiObjectConfigurationWithLabels'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    DiObjectConfigurationWithLabels:
      type: object
      properties:
        type:
          type: string
          title: Type
          description: Type
        identifier:
          type: string
          title: Identifier
          description: Identifier
          pattern: ^[a-z0-9-]+$
          maxLength: 255
        name:
          type: string
          title: Name
          description: Name
          maxLength: 255
        description:
          type: string
          title: Description
          description: Description
          maxLength: 64000
          default: ''
        object:
          type: object
        context:
          type: object
          ui:
            ui:hidden: true
            ui:widget: hidden
        owner:
          type: string
          title: Owner
          description: The identifier of the owner of the configuration.
          ui:
            ui:widget: hidden
        removable:
          type: boolean
          description: Whether the configuration can be removed through the API
          default: false
        resettable:
          type: boolean
          description: Whether the configuration can be reset through the API
          default: false
        disabled:
          type: boolean
          title: Status
          description: Whether the configuration is disabled
          default: false
          ui:
            ui:widget: disable
        createdAt:
          type: string
          title: Created at
          format: date-time
          description: Creation date
          ui:
            ui:widget: hidden
        updatedAt:
          type: string
          title: Updated at
          format: date-time
          description: Update date
          ui:
            ui:widget: hidden
        editor:
          type: string
          title: Last edited by
          description: The email of the last person who edited the configuration
          ui:
            ui:widget: hidden
        label:
          title: Labels
          type: array
          items:
            type: string
          ui:
            ui:widget: hidden
        tag:
          title: Tags
          type: array
          items:
            type: string
          ui:
            ui:widget: hidden
      required:
        - type
        - identifier
        - name
        - object

````